Bug 1025146 - Two same testplans are created when saving one
Two same testplans are created when saving one
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.2
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Wei Shen
:
Depends On:
Blocks: 1024158
  Show dependency treegraph
 
Reported: 2013-10-31 02:01 EDT by Huan Zhang
Modified: 2014-06-18 03:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-06 03:41:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
avoid adding extra testplan line (1.68 KB, patch)
2013-10-31 02:04 EDT, Wei Shen
no flags Details | Diff

  None (edit)
Description Huan Zhang 2013-10-31 02:01:42 EDT
The first time you create a test plan on a cert, catalog will save two same ones.

How to reproduce:

1)create a hardware spec and a linked hardware cert
2)add a hardware component to the spec
3)add only *one* test plan with the hardware component you created just now
4)two test plans will be wrongly created

Let's fix this ASAP.
Comment 1 Wei Shen 2013-10-31 02:04:50 EDT
Created attachment 817719 [details]
avoid adding extra testplan line

Note You need to log in before you can comment on or make changes to this bug.